<?php 

/*
Plugin Name: CF7 Drop Uploader
Plugin URI: www.persianscript.ir
Description: CF7 Drop Uploader WordPress plugin is allows you to add powerful Drag & Drop File Uploading area to your Form, that was builded with Contact Form 7. You can add several file uploading areas for one form and set file maximum size and file type for each of them.
Author: پرشین اسکریپت
Version: 2.3.1
Author URI: www.persianscript.ir
*/

// Set Globals and Constants

define("CF7DU_FOLDER", "cf7du_upload");

define("CF7DU_TMP", "cf7du_temp");

// Plugin installation

register_activation_hook(__FILE__, 'cf7du_install');

register_activation_hook(__FILE__, 'cf7du_activate_cleanup');

// Load Textdomain 

load_plugin_textdomain( 'cf7-drop-uploader', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 

function __extend_http_request_timeout( $timeout ) {
    return 60;
}
add_filter( 'http_request_timeout', '__extend_http_request_timeout' );

// Init

require_once 'includes/cf7du_init.php';

// Dropbox Class

require_once 'includes/cf7du_dropbox.php';

// Uploading

require_once 'includes/cf7du_uploading.php';

// Processing

require_once 'includes/cf7du_processing.php';

// Contact Form 7 interface section

require_once 'includes/cf7du_interface.php';

// CF7DU tab

require_once 'includes/cf7du_tab.php';

// Settings section

require_once 'includes/cf7du_settings.php';